# Load libraries
from machine import Pin
from time import sleep
import ADS1115
import math

# Initialization of the ADC
ADS1115.init(0x48, 1, 4, False)

# Endless loop for reading the ADC
while True:
    Volt = ADS1115.raw_to_v(ADS1115.read(0))
    print(str(Volt) + " V")
    # Conversion from voltage to temperature
    temp = ((Volt / 3.3) * 10000) / (1 - (Volt / 3.3))
    temp = 1 / ((1/298.15) + (1 / 3950) * math.log(temp / 10000))
    temp = temp - 273.15

    # Serial output of the calculated temperature
    print("The temperature is: " + str(temp) + " °C")
    print("---------------------------")

    sleep(2)